## cvector 1.0.3.1

=== debian/changelog ===
cvector (1.0.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761741.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:19:44 +0000

cvector (1.0.3.1-1) unstable; urgency=low

  * New upstream version.
  * Use source format 3.0 (quilt).
  * Use debhelper compat level 9 for hardening flags.
  * Override hardening-no-fortify-functions lintian test.
  * Use gdp for patch management.
  * New patch: makefile
    - Pick up (hardening) build flags from environment.
    - Remove test files in clean target.
    - Use a variable for library installation path to
      allow multiarch support
  * Use multiarch library paths.
  * control:
    - Upgrade to standards-version 3.9.4.
    - Improve descriptions to please lintian.
    - Remove duplicate Section to please lintian.
    - Dedup short descriptions to please lintian.
  * Add a symbols-file for libcvector2.
  * copyright: Use the latest format, update years.

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 25 May 2013 15:00:14 +0200

cvector (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #550852)

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 14:25:47 +0100
