=== debian/control ===
Source: cvector
Priority: extra
Section: libs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cvector.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/cvector.git
Homepage: http://sourceforge.net/projects/cvector/
Build-Depends: debhelper (>= 9), libtool, libtool-bin
Standards-Version: 3.9.4

Package: libcvector2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcvector2 (= ${binary:Version}), ${misc:Depends}
Description: ANSI C implementation of dynamic arrays (development files)
 CVector is an ANSI C library which implements dynamic arrays
 approximating the functionality of the C++ vector class. It provides
 functions to create and manipulate an abstract vector container.
 Vector elements can be of any datatype.
 .
 This package contains files needed for compiling programs using CVector.

Package: libcvector2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ANSI C implementation of dynamic arrays
 CVector is an ANSI C library which implements dynamic arrays
 approximating the functionality of the C++ vector class. It provides
 functions to create and manipulate an abstract vector container.
 Vector elements can be of any datatype.
