=== debian/watch ===
version=3
http://sf.net/cvector/CVector-(.*)\.tar\.gz
