=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 # Version string
 VERSION = 2:0:0
-RELEASE = 1.0.3
+RELEASE = 1.0.4
 
 
 #
