=== debian/changelog ===
cvector (1.0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Dec 2021 22:28:40 +0100

cvector (1.0.4.1-1) unstable; urgency=medium

  * New upstream version.
  * control:
    - Change priority to optional
    - Point Vcs-* fields to salsa
    - Point Homepage to the upstream github repository
    - Build-dep on debhelper 11~
    - Set standards-version to 4.2.1
    - Build-dep on libtool-bin
    - Remove SONAME number from -dev pkg, libcvector2-dev -> libcvector-dev
  * Set debhelper compat to 11.
  * rules: Use hardening flags.
  * copyright: Use HTTPS URL for format, update years.
  * Add debian/source/local-options with abort-on-upstream-changes.
  * Remove lintian-overrides.
  * Remove *.dirs files.
  * watch: Check new releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 16 Oct 2018 10:39:32 +0300
