=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: cvector
-Priority: extra
+Priority: optional
 Section: libs
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Teemu Ikonen <tpikonen@gmail.com>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cvector.git
-Vcs-Git: http://git.debian.org/git/debian-science/packages/cvector.git
-Homepage: http://sourceforge.net/projects/cvector/
-Build-Depends: debhelper (>= 9), libtool, libtool-bin
-Standards-Version: 3.9.4
+Vcs-Browser: https://salsa.debian.org/science-team/cvector
+Vcs-Git: https://salsa.debian.org/science-team/cvector.git
+Homepage: https://github.com/yayahjb/cvector
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libtool-bin
+Standards-Version: 4.6.0
 
-Package: libcvector2-dev
+Package: libcvector-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libcvector2 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libcvector2-dev
+Replaces: libcvector2-dev
 Description: ANSI C implementation of dynamic arrays (development files)
  CVector is an ANSI C library which implements dynamic arrays
  approximating the functionality of the C++ vector class. It provides
