=== debian/watch ===
version=4

https://github.com/yayahjb/cvector/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
